## jpegparse jpegparse — JPEG parser |

## Types and Values

struct | GstJpegParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseParse
                        ╰── GstJpegParse

## Description

Parses a JPEG stream into JPEG images. It looks for EOI boundaries to split a continuous stream into single-frame buffers. Also reads the image header searching for image properties such as width and height among others. Jpegparse can also extract metadata (e.g. xmp).

### Example launch line

    1
    gst-launch-1.0 -v souphttpsrc location=... ! jpegparse ! matroskamux ! filesink location=...

The above pipeline fetches a motion JPEG stream from an IP camera over HTTP and stores it in a matroska file.

## Synopsis

### Element Information

plugin | jpegformat
author | Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
class | Video/Parser

### Element Pads

name | sink
direction | sink
presence | always
details | image/jpeg

name | src
direction | source
presence | always
details | image/jpeg, format=(string){ I420, Y41B, UYVY, YV12 }, width=(int)[ 0, 2147483647 ], height=(int)[ 0, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], parsed=(boolean)true

## Functions

## Types and Values

### struct GstJpegParse

    struct GstJpegParse;